Page MenuHomePhabricator

[Migrated] Wikia: This page is not opened properly for editing (wikia config?)
Closed, ResolvedPublic

Description

Reguyla (talk) 17:35, 7 January 2014 (UTC) wrote:

nThread: InvokerThread (Save)
Exception:

ApiException

Message:

This page is not opened properly for editing

Call stack:

at WikiFunctions.API.ApiEdit.Save(String pageText, String summary, Boolean minor, WatchOptions watch)

I have received this error a few times over the past several weeks. If its something I am doing please let me know.


Site: http://military.wikia.com
OS: Microsoft Windows NT 6.1.7601 Service Pack 1
Version: AutoWikiBrowser (5.5.2.2), WikiFunctions (5.5.2.2), revision 9782 (2013-12-10 01:58:16)
NET: 2.0.50727.5472

Event Timeline

Josve05a created this task.May 15 2015, 7:35 PM
Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a project: AutoWikiBrowser.
Josve05a added subscribers: Aklapper, Josve05a.

Magioladitis (talk) 17:32, 8 January 2014 (UTC) wrote:

Reguyla military.wikia.com uses "MediaWiki 1.19.9" can you please ask devs to update it to 1.22?

Reguyla (talk) 17:45, 8 January 2014 (UTC) wrote:

Thank you, I posted a notice here and I submitted a request to the devs. I'll let you know what they say. I suspect its probably either on a schedule already and just hasn't been done yet or they could be potentially waiting on some of the bugs to be fixed in 1.22.1. Since Wikia uses some other extenstions and features (like blogs) they might be doing some additional testing before implementing the patch. Just guessing though.

Josve05a added a subscriber: Reedy.May 15 2015, 7:37 PM

Magioladitis (talk) 18:02, 8 January 2014 (UTC) wrote:

Reguyla thanks for the response! Let's see if this fixes the problem. I asked @Reedy for further feedback.

Reguyla (talk) 18:05, 8 January 2014 (UTC) wrote:

Awesome, I much appreciate the speedy assistance.

Reguyla (talk) 18:16, 8 January 2014 (UTC) wrote:

Crossposted from Wikia. A user submitted the following comment regarding the problem.

"For any developers reading this, the error seems to occur on line 753 of WikiFunctions/API/ApiEdit.cs, when Action!="edit", which would seem to suggest that the page is not in edit mode when it's being saved. If I knew how to build from source, I could suggest some debug code (I've never used C# before, so it could be a trial-and-error)."

Reedy (talk) 19:04, 8 January 2014 (UTC) wrote:

Lol. Wikia isn't going to be upgrading any time soon.

Reedy (talk) 19:16, 8 January 2014 (UTC) wrote:

Wikia make somewhat of a mess ontop of MediaWiki, and don't maintain it with the core software. Upgrading is a huge PITA.

Reedy (talk) 19:15, 8 January 2014 (UTC) wrote:

CheckForErrors(result, "query");

try
{
    Page = new PageInfo(result);

    Action = "edit";
}
catch (Exception ex)
{
    throw new BrokenXmlException(this, ex);
}

return Page.Text;

You're presumably hitting some weird condition. If it was exceptioning, you'd get a pop up, and it would be cancelled; error handler and start processing that page again. But then you'd know it was erroring (and you'd presumably have said that). So there is some case where it apparently returns out fine, but not set.

It's a hard thing to debug when it's not replicable on demand.

Josve05a added a comment.EditedMay 15 2015, 7:42 PM

@Reguyla 19:22, 8 January 2014 (UTC) wrote:

Thanks Reedy, I totally understand. I'll try and watch for it again and see if I can narrow in on the particulars of the problem. If it helps any I usually get it in bot mode. Only once have I gotten this with my regular account. I got it a couple times in template space and 5 or 6 times in article space. I am also an admin on the site so it shouldn't be an issue with accessing the article. I also verified the articles in question weren't being blocked by a blacklist or global block. If I can get it to come up again I'll take some notes on the instance and post it here.

Josve05a updated the task description. (Show Details)May 15 2015, 7:51 PM
Josve05a set Security to None.
Rjwilmsi renamed this task from [Migrated] This page is not opened properly for editing to [Migrated] Wikia: This page is not opened properly for editing (wikia config?).Jun 23 2015, 4:30 PM
Rjwilmsi triaged this task as Low priority.
Rjwilmsi moved this task from Exceptions (unsorted) to User input needed on the AutoWikiBrowser board.

Feel free to close this if you want. I don't know if this is still an issue for others but I am no longer having the problem.

@Magioladitis, @Rjwilmsi, @Reedy:
Feel free to close this. I haven't heard of anyone else having this problem for some time.

Rjwilmsi closed this task as Resolved.Jan 7 2017, 4:22 PM
Rjwilmsi claimed this task.